Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001070Core InformPhrases and functional programmingpublic2013-01-23 12:382014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001070: The description ``nowhere'' compiles as ``anywhere''
DescriptionThe attached source prints true instead of false.
Minimal Source Text To Reproduce
There is a room.

To foo (X - a description of rooms):
	showme whether or not the location matches X.

When play begins:
	foo nowhere.
Additional InformationThis should be in a category for descriptions.
Tagswrongcategory
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001960)
zarf (developer)
2013-01-23 19:27

Confirmed. The generated Prop_N() function is identical to that for "foo everywhere":


! Abstraction for set of x such that:
! [ room(x) ]
[ Prop_1 reason x x_ix total counter selection best best_with;
...

        -1: ! True or false?
            if ((x ofclass K1_room)){
                rtrue;
            }
            rfalse;
    }
];
(0002455)
graham (administrator)
2014-02-09 06:46

Fixed.

- Issue History
Date Modified Username Field Change
2013-01-23 12:38 EmacsUser New Issue
2013-01-23 12:39 EmacsUser Tag Attached: wrongcategory
2013-01-23 19:27 zarf Note Added: 0001960
2013-01-23 19:27 zarf Assigned To => graham
2013-01-23 19:27 zarf Status new => confirmed
2014-02-09 06:46 graham Note Added: 0002455
2014-02-09 06:46 graham Status confirmed => resolved
2014-02-09 06:46 graham Resolution open => fixed
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker